cURL
curl --request GET \
--url 'https://app.teable.ai/api/admin/observability/table-query-ops/tables/%7BtableId%7D?lookbackHours=SOME_INTEGER_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/admin/observability/table-query-ops/tables/%7BtableId%7D?lookbackHours=SOME_INTEGER_VALUE';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/admin/observability/table-query-ops/tables/%7BtableId%7D?lookbackHours=SOME_INTEGER_VALUE',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/admin/observability/table-query-ops/tables/%7BtableId%7D?lookbackHours=SOME_INTEGER_VALUE", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"table": {
"tableId": "<string>",
"tableName": "<string>",
"baseId": "<string>",
"baseName": "<string>",
"spaceId": "<string>",
"spaceName": "<string>",
"estimatedRows": 123,
"totalBytes": 123,
"search": {
"method": "pg_bigm",
"runtimeEnabled": true,
"configured": true,
"indexState": "not_configured",
"configuredProvider": "pg_bigm",
"coveredFieldCount": 123,
"eligibleFieldCount": 123,
"uncoveredFieldCount": 123,
"reason": "<string>"
},
"ordinaryIndexCount": 123,
"pendingRecommendationCount": 123,
"activeTaskCount": 123,
"observation": {
"requestCount": 123,
"slowCount": 123,
"timeoutCount": 123,
"maxDurationMs": 123
},
"error": "<string>"
},
"fields": [
{
"fieldId": "<string>",
"name": "<string>",
"type": "<string>",
"covered": true,
"eligible": true,
"reason": "<string>"
}
],
"indexes": [
{
"name": "<string>",
"definition": "<string>",
"valid": true,
"purpose": "search",
"managed": true,
"sizeBytes": 123
}
],
"recommendations": [
{
"id": "<string>",
"spaceId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"executionTarget": {
"storage": "default",
"displayHost": "<string>",
"displayDatabase": "<string>",
"internalSchema": "<string>"
},
"shapeHash": "<string>",
"policyVersion": "<string>",
"status": "open",
"riskLevel": "none",
"riskScore": 123,
"reasonCodes": [
"<string>"
],
"remediationKinds": [
"<string>"
],
"sqlDiagnostics": [
{
"source": "<string>",
"statementKind": "<string>",
"fingerprint": "<string>",
"parameterCount": 123,
"sampled": true,
"normalizedSql": "<string>"
}
],
"priorityScore": 123,
"spaceName": "<string>",
"baseName": "<string>",
"tableName": "<string>",
"remediationCandidates": [
{
"kind": "<string>",
"reason": "<string>",
"executableInPhase1": true,
"fieldId": "<string>",
"fieldDbName": "<string>",
"indexKind": "<string>",
"accessPath": "<string>",
"fields": [
{
"fieldId": "<string>",
"fieldDbName": "<string>",
"direction": "asc",
"role": "<string>"
}
]
}
],
"trigger": {
"sourceKind": "saved_view_config",
"observedWorkload": true,
"sourceId": "<string>",
"viewId": "<string>",
"fingerprint": "<string>"
},
"shapeSummary": {
"filterFields": [
{
"fieldId": "<string>",
"operatorFamily": "<string>",
"sourceKind": "<string>"
}
],
"sortFields": [
{
"direction": "asc",
"source": "<string>",
"fieldId": "<string>",
"systemColumn": "<string>"
}
],
"search": {
"fieldCount": 123,
"allFields": true,
"valueLengthBucket": "<string>"
}
},
"queryKind": "<string>",
"planValidation": {
"status": "validated",
"candidateCount": 123,
"method": "explain",
"reason": "<string>",
"startupCostBefore": 123,
"startupCostAfter": 123,
"totalCostBefore": 123,
"totalCostAfter": 123,
"planNodeBefore": "<string>",
"planNodeAfter": "<string>",
"usesCandidateIndex": true,
"indexStatements": [
"<string>"
],
"errors": [
"<string>"
]
},
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"heat": {
"requestCount": 123,
"slowCount": 123,
"timeoutCount": 123,
"totalDurationMs": 123,
"maxDurationMs": 123,
"estimatedRows": 123,
"seqScanCount": 123,
"indexScanCount": 123
},
"decision": {
"action": "auto_accept",
"actor": "system_policy",
"outcome": "pending",
"wouldAutoAccept": true,
"reasonCodes": [
"<string>"
],
"cooldownUntil": "<string>",
"decidedAt": "<string>"
}
}
],
"recommendationHistory": [
{
"id": "<string>",
"spaceId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"executionTarget": {
"storage": "default",
"displayHost": "<string>",
"displayDatabase": "<string>",
"internalSchema": "<string>"
},
"shapeHash": "<string>",
"policyVersion": "<string>",
"status": "open",
"riskLevel": "none",
"riskScore": 123,
"reasonCodes": [
"<string>"
],
"remediationKinds": [
"<string>"
],
"sqlDiagnostics": [
{
"source": "<string>",
"statementKind": "<string>",
"fingerprint": "<string>",
"parameterCount": 123,
"sampled": true,
"normalizedSql": "<string>"
}
],
"priorityScore": 123,
"spaceName": "<string>",
"baseName": "<string>",
"tableName": "<string>",
"remediationCandidates": [
{
"kind": "<string>",
"reason": "<string>",
"executableInPhase1": true,
"fieldId": "<string>",
"fieldDbName": "<string>",
"indexKind": "<string>",
"accessPath": "<string>",
"fields": [
{
"fieldId": "<string>",
"fieldDbName": "<string>",
"direction": "asc",
"role": "<string>"
}
]
}
],
"trigger": {
"sourceKind": "saved_view_config",
"observedWorkload": true,
"sourceId": "<string>",
"viewId": "<string>",
"fingerprint": "<string>"
},
"shapeSummary": {
"filterFields": [
{
"fieldId": "<string>",
"operatorFamily": "<string>",
"sourceKind": "<string>"
}
],
"sortFields": [
{
"direction": "asc",
"source": "<string>",
"fieldId": "<string>",
"systemColumn": "<string>"
}
],
"search": {
"fieldCount": 123,
"allFields": true,
"valueLengthBucket": "<string>"
}
},
"queryKind": "<string>",
"planValidation": {
"status": "validated",
"candidateCount": 123,
"method": "explain",
"reason": "<string>",
"startupCostBefore": 123,
"startupCostAfter": 123,
"totalCostBefore": 123,
"totalCostAfter": 123,
"planNodeBefore": "<string>",
"planNodeAfter": "<string>",
"usesCandidateIndex": true,
"indexStatements": [
"<string>"
],
"errors": [
"<string>"
]
},
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"heat": {
"requestCount": 123,
"slowCount": 123,
"timeoutCount": 123,
"totalDurationMs": 123,
"maxDurationMs": 123,
"estimatedRows": 123,
"seqScanCount": 123,
"indexScanCount": 123
},
"decision": {
"action": "auto_accept",
"actor": "system_policy",
"outcome": "pending",
"wouldAutoAccept": true,
"reasonCodes": [
"<string>"
],
"cooldownUntil": "<string>",
"decidedAt": "<string>"
}
}
],
"searchHistory": [
{
"provider": "<string>",
"status": "<string>",
"fieldIds": [
"<string>"
],
"updatedAt": "<string>"
}
],
"tasks": [
{
"id": "<string>",
"recommendationId": "<string>",
"baseId": "<string>",
"tableId": "<string>",
"kind": "<string>",
"status": "queued",
"attempts": 123,
"maxAttempts": 123,
"baseName": "<string>",
"tableName": "<string>",
"lockedBy": "<string>",
"lockedAt": "<string>",
"lastError": "<string>",
"result": null,
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}
],
"observationWindow": {
"start": "<string>",
"end": "<string>"
},
"checkedAt": "<string>",
"historyTotals": {
"recommendations": 123,
"tasks": 123
}
}admin
Get adminobservabilitytable query opstables 1
Inspect current table indexes, coverage, recommendations and tasks
Required token scopes: instance|read
GET
/
admin
/
observability
/
table-query-ops
/
tables
/
{tableId}
cURL
Авторизації
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Параметри шляху
Параметри запиту
Необхідний діапазон:
1 <= x <= 720Відповідь
200 - application/json
Current table state and history
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Останнє оновлення 15 вересня 2026 р.
Чи була ця сторінка корисною?

